status = error
name = PropertiesConfig

filters = threshold

filter.threshold.type = ThresholdFilter
filter.threshold.level = ${env:LOG_LEVEL:-info}

appenders = console

appender.console.type = Console
appender.console.name = STDOUT
appender.console.layout.type = PatternLayout
appender.console.layout.pattern = %d{ISO8601}| [%X{X-Request-Id:-},%X{X-B3-TraceId:-},%X{X-B3-SpanId:-},%X{X-Span-Export:-}] | %-5p | %-32c{1.} | %m%n

rootLogger.level = ${env:LOG_LEVEL:-info}
rootLogger.appenderRefs = stdout
rootLogger.appenderRef.stdout.ref = STDOUT

logger.camelutil.name = org.apache.camel.util
logger.camelutil.level = warn

logger.eclipse.name = org.eclipse
logger.eclipse.level = warn
logger.netty.name = io.netty
logger.netty.level = warn
logger.apache.name = org.apache.http
logger.apache.level = warn
logger.hibernate.name = org.hibernate
logger.hibernate.level = warn